#ifndef COMMANDEBATEAU
#define COMMANDEBATEAU

double degretorad(float v);

struct Vent;
struct Boat;

//**************Les Scripts***************//

class BoatControl: public Script
{
    public:

    void StartBoat(); //Fonctions des scripts de base
    void UpdateBoat();

    void Initialisation( Vent * v , Boat * b , Animation * r);//Pour initialiser les pointeursS

    void Turn( float v); //Pour tourner
    void Fire( float angle); //Pour tirer.

    float direction; // Direction du bateau

    Animation * RenderBoulet;

    Boat * BateauActuelle;
    Vent * VentActuelle;
};

class SBoulet: public Script
{
    public:

    void Update();

    int time;//Dure de vie du boulet
};


//*************Les Structures*************//

struct Voile
{
    int Pourcentage;
    int taille;
};

struct Canon
{
    int couldown;
};

struct Boat
{
    int Grade;
    int masse;
    int vie;
    int viemax;
    Voile VoilesLateralle;
    Voile VoilesLongitudinal;
    Canon CanonDroit;
    Canon CanonGauche;
};

struct Vent
{
    float direction;
    float force; // en m.s
};


#endif // COMMANDEBATEAU

